osl::container::BoardMaskTable3x3 Class Reference

`#include <boardMask.h>`

## Public Member Functions

| BoardMaskTable3x3 ()
const BoardMask & | mask (Square p) const
| p中心の3x3 の範囲のbitを立てたもの, centeringなし

## Private Attributes

CArray< BoardMask, Square::SIZE > | data

## Detailed Description

Definition at line 117 of file boardMask.h.

## Constructor & Destructor Documentation

## BoardMaskTable3x3()

osl::container::BoardMaskTable3x3::BoardMaskTable3x3 | ( |  | ) |

Definition at line 42 of file boardMask.cc.

References data, osl::Square::index(), and mask().

## Member Function Documentation

## mask()

const BoardMask & osl::container::BoardMaskTable3x3::mask | ( | Square | p | ) | const

inline

p中心の3x3 の範囲のbitを立てたもの, centeringなし

Definition at line 123 of file boardMask.h.

References data, and osl::Square::index().

Referenced by BoardMaskTable3x3().

## Member Data Documentation

## data

CArray<BoardMask, Square::SIZE> osl::container::BoardMaskTable3x3::data

private

Definition at line 119 of file boardMask.h.

Referenced by BoardMaskTable3x3(), and mask().

The documentation for this class was generated from the following files:

- boardMask.h
- boardMask.cc